Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class PaymentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.beasys.commerce.ebusiness.payment.PaymentException

All Implemented Interfaces
  MessageCatalogException, Serializable

Direct Known Subclasses:
  AuthorizationException, CaptureException, GeneralServiceException, InvalidCreditCardException, ServiceConfigurationException, ServiceUnavailableException, SettleException

Deprecated

    @Deprecated
    public class PaymentException

extends ApplicationException

The base class of all payment related exceptions. If a TransactionResponse resulted in the exception it is embedded.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`PaymentException(String namespace, String messageKey)` Deprecated Create a payment exception with namespace and message key.
`PaymentException(String namespace, String messageKey, Exception embeddedException)` Deprecated Create a payment exception with an embedded exception.
`PaymentException(String namespace, String messageKey, Object messageParameter)` Deprecated Create a payment exception with a message parameter.
`PaymentException(String namespace, String messageKey, TransactionResponse response)` Deprecated Create a payment exception with the response object.

Method Summary
`TransactionResponse` | `getResponse()` Deprecated Get the TransactionReponse that resulted in the exception.

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PaymentException

    public PaymentException(String namespace,
                            String messageKey)

  Deprecated
  Create a payment exception with namespace and message key.

  Parameters
    `namespace` - The associated catalog namespace.
    `mesageKey` - The associated catalog messageKey.

### PaymentException

    public PaymentException(String namespace,
                            String messageKey,
                            TransactionResponse response)

  Deprecated
  Create a payment exception with the response object.

  Parameters
    `namespace` - The associated catalog namespace.
    `mesageKey` - The associated catalog messageKey.
    `response` - The service provider specifc response object.

### PaymentException

    public PaymentException(String namespace,
                            String messageKey,
                            Exception embeddedException)

  Deprecated
  Create a payment exception with an embedded exception.

  Parameters
    `namespace` - The associated catalog namespace.
    `mesageKey` - The associated catalog messageKey.
    `embeddedException` - The exception embedded in this payment exception.

### PaymentException

    public PaymentException(String namespace,
                            String messageKey,
                            Object messageParameter)

  Deprecated
  Create a payment exception with a message parameter.

  Parameters
    `namespace` - The associated catalog namespace.
    `mesageKey` - The associated catalog messageKey.
    `messageParameter` - The messageParameter.

Method Detail

### getResponse

    public TransactionResponse getResponse()

  Deprecated
  Get the TransactionReponse that resulted in the exception.

  Returns
    TransactionResponse

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.